InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::LogReaderSettings Struct Reference

Log Reader Settings. More...

`#include <LogSettings.h>`

Collaboration diagram for inertia::LogReaderSettings:
[legend]

## Public Member Functions
| LogReaderSettings ()
| LogReaderSettings (std::wstring const &logfile, const unsigned readInterval, const bool autoRead, const LogFileType logFileType=LOG_FILETYPE_AUTODETECT)
| LogReaderSettings (std::wstring const &argString)
LogFileType | GetLogFileTypeUsed () const
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
std::wstring | logfile
| The logfile to read.
unsigned | readInterval
| Interval between subsequent line reads in microseconds.
bool | autoRead
| Read the file asynchronously (true) and use StreamListener callbacks, or manually (false) via ReplayGetSamples().
unsigned | maxDataBuffer
| Maximum number of samples to buffer.
bool | writeReplay
| Rewrite the logfile with recalculated orientation data, adds post-fix '-replay' to the new file. Requires autoRead enabled. Only applicable when reading a CSV file.
LogFileType | logFileType
| The file-type of the logfile to read.
ValidateFileSettings | validateSettings
| Settings for validating the file to convert.

## Detailed Description

Log Reader Settings.

Settings for reading a logfile.

## Constructor & Destructor Documentation

## ◆ LogReaderSettings() [1/3]

inertia::LogReaderSettings::LogReaderSettings | ( |  | ) |

Default constructor.

## ◆ LogReaderSettings() [2/3]

inertia::LogReaderSettings::LogReaderSettings | ( | std::wstring const & | logfile,
|  | const unsigned | readInterval,
|  | const bool | autoRead,
|  | const LogFileType | logFileType = LOG_FILETYPE_AUTODETECT )

Constructor with individual arguments.

Parameters

  logfile | the logfile to read
  readInterval | the read interval in microseconds
  autoRead | read asynchronous or synchronous.
  logFileType | file-type of the logfile

## ◆ LogReaderSettings() [3/3]

inertia::LogReaderSettings::LogReaderSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates LogReaderSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetLogFileTypeUsed()

LogFileType inertia::LogReaderSettings::GetLogFileTypeUsed | ( |  | ) | const

Get the actual file-type that will be used.

Returns
  the file-type

## ◆ GetOptionDescription()

const po::options_description inertia::LogReaderSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for LogReaderSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::LogReaderSettings::ToString | ( |  | ) | const

Get a string representation of this LogReaderSettings. The string is compatible with GetOptionDescription() and LogReaderSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- LogSettings.h